bcompiler_write_function
bcompiler_write_header
bcompiler Functions
PHP Manual

# bcompiler_write_functions_from_file

(PECL bcompiler >= 0.5)

bcompiler_write_functions_from_file — Writes all functions defined in a file as bytecodes

### Description

bool bcompiler_write_functions_from_file ( resource `$filehandle` , string `$fileName` )

Searches for all functions declared in the given file, and writes their correspondent bytecodes to the open file handle.

### Parameters

`filehandle`

  A file handle as returned by fopen().

`fileName`

  The file to be compiled. You must always include or require the file you intend to compile.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 bcompiler_write_functions_from_file() example

`<?php
require('module.php');
$fh = fopen("/tmp/example","w");
bcompiler_write_header($fh);
bcompiler_write_functions_from_file($fh,'module.php');
bcompiler_write_footer($fh);
fclose($fh);
?>`

### Notes

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### See Also

- bcompiler_write_header() - Writes the bcompiler header
- bcompiler_write_footer() - Writes the single character \x00 to indicate End of compiled data

bcompiler_write_function
bcompiler_write_header
bcompiler Functions
PHP Manual